Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorQuentin Le Menez2021-03-03 04:27:23 -0500
committerQuentin Le Menez2021-03-09 08:05:27 -0500
commit805fbae0ccc8112ec518472caec909df8f85e7a6 (patch)
tree4162ad234dce9dcec26148b02f1ebe090dc7da7a /plugins/uml
parent812c8a8df9044e286865fba10da05ae9d6e25933 (diff)
downloadorg.eclipse.papyrus-805fbae0ccc8112ec518472caec909df8f85e7a6.tar.gz
org.eclipse.papyrus-805fbae0ccc8112ec518472caec909df8f85e7a6.tar.xz
org.eclipse.papyrus-805fbae0ccc8112ec518472caec909df8f85e7a6.zip
Bug 570177 - [Releng] Update for 2021-03 RC1
- Update maven plugin versions - Remove the jboss mecanism (not necessary anymore) - Add guava dependency plugin to paliate the API loss - Add missing @since tags - Add API filters because... reasons Change-Id: If0b5cb48172eed2e2079d38f1cc0c2a61fbaca1d Signed-off-by: Quentin Le Menez <quentin.lemenez@cea.fr>
Diffstat (limited to 'plugins/uml')
-rw-r--r--plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.controlmode/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.properties/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.ui/META-INF/MANIFEST.MF8
-rwxr-xr-xplugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/.settings/.api_filters11
-rwxr-xr-xplugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/pom.xml6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/.settings/.api_filters11
-rwxr-xr-xplugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/pom.xml2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/.settings/.api_filters11
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/pom.xml2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/.settings/.api_filters11
-rwxr-xr-xplugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/pom.xml2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/.settings/.api_filters11
-rwxr-xr-xplugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/pom.xml2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/.settings/.api_filters11
-rwxr-xr-xplugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/META-INF/MANIFEST.MF4
-rwxr-xr-xplugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/pom.xml6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/.settings/.api_filters11
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/pom.xml2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/META-INF/MANIFEST.MF2
-rwxr-xr-x[-rw-r--r--]plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/OSGI-INF/org.eclipse.papyrus.uml.diagram.sequence.restrictions.SequenceEditPolicyProviderTester.xml0
-rwxr-xr-x[-rw-r--r--]plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/OSGI-INF/org.eclipse.papyrus.uml.diagram.sequence.restrictions.SequenceViewProviderTester.xml0
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/pom.xml6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/.settings/.api_filters11
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/pom.xml2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/.settings/.api_filters11
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/pom.xml2
-rw-r--r--plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/.settings/.api_filters11
-rw-r--r--plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/pom.xml2
-rw-r--r--plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/.settings/.api_filters11
-rw-r--r--plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/pom.xml6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/.settings/.api_filters11
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/pom.xml6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.filters/.settings/.api_filters11
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.filters/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.filters/pom.xml2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.modelrepair/.settings/.api_filters11
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.modelrepair/META-INF/MANIFEST.MF10
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.modelrepair/pom.xml6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.profile/.settings/.api_filters11
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.profile/pom.xml6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.service.types/.settings/.api_filters11
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.service.types/pom.xml6
-rw-r--r--plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/.settings/.api_filters11
-rw-r--r--plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/pom.xml2
-rw-r--r--plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/.settings/.api_filters11
-rw-r--r--plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/pom.xml2
-rw-r--r--plugins/uml/tools/org.eclipse.papyrus.uml.tools/.settings/.api_filters11
-rw-r--r--plugins/uml/tools/org.eclipse.papyrus.uml.tools/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/tools/org.eclipse.papyrus.uml.tools/pom.xml2
65 files changed, 317 insertions, 92 deletions
diff --git a/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.controlmode/META-INF/MANIFEST.MF b/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.controlmode/META-INF/MANIFEST.MF
index 80d1700339e..00c147467e3 100644
--- a/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.controlmode/META-INF/MANIFEST.MF
+++ b/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.controlmode/META-INF/MANIFEST.MF
@@ -27,6 +27,6 @@ Bundle-ManifestVersion: 2
Bundle-Description: %pluginDescription
Bundle-SymbolicName: org.eclipse.papyrus.uml.decoratormodel.controlmode;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.decoratormodel.controlmode
diff --git a/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.properties/META-INF/MANIFEST.MF b/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.properties/META-INF/MANIFEST.MF
index 131b4e54468..fc46df08c83 100644
--- a/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.properties/META-INF/MANIFEST.MF
+++ b/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.properties/META-INF/MANIFEST.MF
@@ -29,7 +29,7 @@ Bundle-Activator: org.eclipse.papyrus.uml.decoratormodel.properties.Activator
Bundle-Description: %pluginDescription
Bundle-SymbolicName: org.eclipse.papyrus.uml.decoratormodel.properties;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)",
- com.google.common.util.concurrent;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)",
+ com.google.common.util.concurrent;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.decoratormodel.properties
diff --git a/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.ui/META-INF/MANIFEST.MF b/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.ui/META-INF/MANIFEST.MF
index b98e29f6a4d..c3eca716ccd 100644
--- a/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel.ui/META-INF/MANIFEST.MF
@@ -36,8 +36,8 @@ Bundle-ManifestVersion: 2
Bundle-Description: %pluginDescription
Bundle-SymbolicName: org.eclipse.papyrus.uml.decoratormodel.ui;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)",
- com.google.common.eventbus;version="[27.1.0, 28.0.0)",
- com.google.common.util.concurrent;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)",
+ com.google.common.eventbus;version="[30.1.0, 31.0.0)",
+ com.google.common.util.concurrent;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.decoratormodel.ui
diff --git a/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel/META-INF/MANIFEST.MF b/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel/META-INF/MANIFEST.MF
index baa8435de1b..05b6289c9c3 100755
--- a/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel/META-INF/MANIFEST.MF
+++ b/plugins/uml/decoratormodel/org.eclipse.papyrus.uml.decoratormodel/META-INF/MANIFEST.MF
@@ -37,7 +37,7 @@ Bundle-ManifestVersion: 2
Bundle-Description: %pluginDescription
Bundle-SymbolicName: org.eclipse.papyrus.uml.decoratormodel;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)",
- com.google.common.util.concurrent;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)",
+ com.google.common.util.concurrent;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.decoratormodel
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/.settings/.api_filters b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/.settings/.api_filters
new file mode 100644
index 00000000000..c766e2f1e84
--- /dev/null
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.diagram.activity" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="4.1.0"/>
+ <message_argument value="4.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/META-INF/MANIFEST.MF
index 1e1953f5257..90f97201525 100755
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/META-INF/MANIFEST.MF
@@ -79,10 +79,10 @@ Require-Bundle: org.eclipse.core.expressions;bundle-version="[3.6.0,4.0.0)",
org.eclipse.uml2.uml.editor;bundle-version="[5.5.0,6.0.0)"
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 4.1.0.qualifier
Bundle-Activator: org.eclipse.papyrus.uml.diagram.activity.part.UMLDiagramEditorPlugin
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.activity; singleton:=true
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.diagram.activity
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/pom.xml b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/pom.xml
index 1a70aff6d6d..bdcc902b30d 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/pom.xml
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/pom.xml
@@ -1,5 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
-<project>
+<project xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.eclipse.papyrus</groupId>
@@ -7,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.diagram.activity</artifactId>
- <version>4.0.0-SNAPSHOT</version>
+ <version>4.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/.settings/.api_filters b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/.settings/.api_filters
new file mode 100644
index 00000000000..7c782620038
--- /dev/null
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.diagram.clazz" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="4.1.0"/>
+ <message_argument value="4.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/META-INF/MANIFEST.MF
index ac95c742ac6..c16f2334ebe 100755
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/META-INF/MANIFEST.MF
@@ -69,11 +69,11 @@ Require-Bundle: org.eclipse.core.expressions;bundle-version="[3.6.0,4.0.0)",
org.eclipse.papyrus.infra.architecture;bundle-version="[3.0.0,4.0.0)"
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 4.1.0.qualifier
Bundle-Activator: org.eclipse.papyrus.uml.diagram.clazz.part.UMLDiagramEditorPlugin
Bundle-ManifestVersion: 2
Bundle-Description: %pluginDescription
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.clazz; singleton:=true
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.diagram.clazz
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/pom.xml b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/pom.xml
index 94e37a0b271..f418a3bcbd7 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/pom.xml
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/pom.xml
@@ -9,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.diagram.clazz</artifactId>
- <version>4.0.0-SNAPSHOT</version>
+ <version>4.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/.settings/.api_filters b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/.settings/.api_filters
new file mode 100644
index 00000000000..98de4f15c41
--- /dev/null
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.diagram.common" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="4.1.0"/>
+ <message_argument value="4.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF
index 586cfbeb304..c817349280b 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF
@@ -109,11 +109,11 @@ Require-Bundle: org.eclipse.core.expressions;bundle-version="[3.6.0,4.0.0)",
org.eclipse.papyrus.uml.tools.utils;bundle-version="[4.0.0,5.0.0)",
org.eclipse.uml2.uml.editor;bundle-version="[5.5.0,6.0.0)"
Bundle-Vendor: %providerName
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 4.1.0.qualifier
Eclipse-BuddyPolicy: dependent
Bundle-Activator: org.eclipse.papyrus.uml.diagram.common.Activator
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.common;singleton:=true
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.diagram.common
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/pom.xml b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/pom.xml
index e6d60a2dbcd..c23243c2115 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/pom.xml
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/pom.xml
@@ -9,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.diagram.common</artifactId>
- <version>4.0.0-SNAPSHOT</version>
+ <version>4.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/.settings/.api_filters b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/.settings/.api_filters
new file mode 100644
index 00000000000..3bb59a795c8
--- /dev/null
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.diagram.communication" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="5.1.0"/>
+ <message_argument value="5.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF
index 170cc3d2de8..633eb5c6650 100755
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF
@@ -57,9 +57,9 @@ Require-Bundle: org.eclipse.core.expressions;bundle-version="[3.6.0,4.0.0)",
org.eclipse.uml2.uml.resources;bundle-version="[5.5.0,6.0.0)"
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
-Bundle-Version: 5.0.0.qualifier
+Bundle-Version: 5.1.0.qualifier
Bundle-Activator: org.eclipse.papyrus.uml.diagram.communication.part.UMLDiagramEditorPlugin
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.communication; singleton:=true
-Import-Package: com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.diagram.communication
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/pom.xml b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/pom.xml
index 2ff29b824e6..df7cc387f7e 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/pom.xml
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/pom.xml
@@ -9,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.diagram.communication</artifactId>
- <version>5.0.0-SNAPSHOT</version>
+ <version>5.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/.settings/.api_filters b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/.settings/.api_filters
new file mode 100644
index 00000000000..43ef3d4bae5
--- /dev/null
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.diagram.composite" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="4.1.0"/>
+ <message_argument value="4.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/META-INF/MANIFEST.MF
index 4f987574814..1bebce524de 100755
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/META-INF/MANIFEST.MF
@@ -68,9 +68,9 @@ Require-Bundle: org.eclipse.emf.databinding;bundle-version="[1.5.0,2.0.0)",
org.eclipse.uml2.uml.editor;bundle-version="[5.5.0,6.0.0)"
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 4.1.0.qualifier
Bundle-Activator: org.eclipse.papyrus.uml.diagram.composite.part.UMLDiagramEditorPlugin
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.composite; singleton:=true
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.diagram.composite
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/pom.xml b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/pom.xml
index 6c91f57e914..81ae7feca9a 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/pom.xml
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/pom.xml
@@ -9,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.diagram.composite</artifactId>
- <version>4.0.0-SNAPSHOT</version>
+ <version>4.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/.settings/.api_filters b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/.settings/.api_filters
new file mode 100644
index 00000000000..332dbc0caa9
--- /dev/null
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.diagram.interactionoverview" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="4.1.0"/>
+ <message_argument value="4.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/META-INF/MANIFEST.MF
index 1c728e95121..83dfdf48b57 100755
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/META-INF/MANIFEST.MF
@@ -52,12 +52,12 @@ Require-Bundle: org.eclipse.emf.databinding;bundle-version="[1.5.0,2.0.0)",
org.eclipse.uml2.uml.editor;bundle-version="[5.5.0,6.0.0)"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 4.1.0.qualifier
Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.uml.diagram.interactionoverview.Activator
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.interactionoverview;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.diagram.interactionoverview
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/pom.xml b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/pom.xml
index 7315a3c579a..1ef56560b24 100755
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/pom.xml
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.interactionoverview/pom.xml
@@ -1,5 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
-<project>
+<project xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.eclipse.papyrus</groupId>
@@ -7,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.diagram.interactionoverview</artifactId>
- <version>4.0.0-SNAPSHOT</version>
+ <version>4.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/.settings/.api_filters b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/.settings/.api_filters
new file mode 100644
index 00000000000..0b5618c979c
--- /dev/null
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.diagram.profile" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="4.1.0"/>
+ <message_argument value="4.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/META-INF/MANIFEST.MF
index c876d524840..4f378bc76e1 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/META-INF/MANIFEST.MF
@@ -67,10 +67,10 @@ Require-Bundle: org.eclipse.core.expressions;bundle-version="[3.6.0,4.0.0)",
org.eclipse.uml2.uml.editor;bundle-version="[5.5.0,6.0.0)"
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 4.1.0.qualifier
Bundle-Activator: org.eclipse.papyrus.uml.diagram.profile.part.UMLDiagramEditorPlugin
Bundle-ManifestVersion: 2
Bundle-Description: %pluginDescription
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.profile; singleton:=true
-Import-Package: com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.diagram.profile
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/pom.xml b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/pom.xml
index cbfa443143b..73aafb2e6f9 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/pom.xml
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/pom.xml
@@ -9,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.diagram.profile</artifactId>
- <version>4.0.0-SNAPSHOT</version>
+ <version>4.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/META-INF/MANIFEST.MF
index 8d7eebf5f1b..0ca57ff5578 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: SequenceDiagram Restrictions
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.sequence.restrictions
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 2.1.0.qualifier
Bundle-Vendor: Eclipse Modeling Project
Automatic-Module-Name: org.eclipse.papyrus.uml.diagram.sequence.restrictions
Bundle-RequiredExecutionEnvironment: JavaSE-11
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/OSGI-INF/org.eclipse.papyrus.uml.diagram.sequence.restrictions.SequenceEditPolicyProviderTester.xml b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/OSGI-INF/org.eclipse.papyrus.uml.diagram.sequence.restrictions.SequenceEditPolicyProviderTester.xml
index f45599187af..f45599187af 100644..100755
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/OSGI-INF/org.eclipse.papyrus.uml.diagram.sequence.restrictions.SequenceEditPolicyProviderTester.xml
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/OSGI-INF/org.eclipse.papyrus.uml.diagram.sequence.restrictions.SequenceEditPolicyProviderTester.xml
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/OSGI-INF/org.eclipse.papyrus.uml.diagram.sequence.restrictions.SequenceViewProviderTester.xml b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/OSGI-INF/org.eclipse.papyrus.uml.diagram.sequence.restrictions.SequenceViewProviderTester.xml
index a7f239b7d7a..a7f239b7d7a 100644..100755
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/OSGI-INF/org.eclipse.papyrus.uml.diagram.sequence.restrictions.SequenceViewProviderTester.xml
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/OSGI-INF/org.eclipse.papyrus.uml.diagram.sequence.restrictions.SequenceViewProviderTester.xml
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/pom.xml b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/pom.xml
index b8ce1a8a27b..0cabdf66d59 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/pom.xml
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/pom.xml
@@ -1,5 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
-<project>
+<project xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.eclipse.papyrus</groupId>
@@ -7,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.diagram.sequence.restrictions</artifactId>
- <version>2.0.0-SNAPSHOT</version>
+ <version>2.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/.settings/.api_filters b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/.settings/.api_filters
new file mode 100644
index 00000000000..fd618a0206f
--- /dev/null
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.diagram.sequence" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="6.1.0"/>
+ <message_argument value="6.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/META-INF/MANIFEST.MF
index 27d6a7fbe66..8a1d28d43d4 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/META-INF/MANIFEST.MF
@@ -59,9 +59,9 @@ Require-Bundle: org.eclipse.core.expressions;bundle-version="[3.6.0,4.0.0)",
org.eclipse.papyrus.uml.tools.utils;bundle-version="[4.0.0,5.0.0)",
org.eclipse.uml2.uml.editor;bundle-version="[5.5.0,6.0.0)"
Bundle-Vendor: %providerName
-Bundle-Version: 6.0.0.qualifier
+Bundle-Version: 6.1.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.uml.diagram.sequence.part.UMLDiagramEditorPlugin
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.sequence; singleton:=true
-Import-Package: com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.diagram.sequence
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/pom.xml b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/pom.xml
index a03afd408bf..aa17dc79203 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/pom.xml
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/pom.xml
@@ -9,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.diagram.sequence</artifactId>
- <version>6.0.0-SNAPSHOT</version>
+ <version>6.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/.settings/.api_filters b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/.settings/.api_filters
new file mode 100644
index 00000000000..0c9df9ba529
--- /dev/null
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.diagram.statemachine" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="4.1.0"/>
+ <message_argument value="4.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/META-INF/MANIFEST.MF
index 4ae31168a87..805546c7da5 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/META-INF/MANIFEST.MF
@@ -66,10 +66,10 @@ Require-Bundle: org.eclipse.emf.databinding;bundle-version="[1.5.0,2.0.0)",
Bundle-Vendor: %providerName
Ant-Version: Apache Ant 1.7.0
Eclipse-LazyStart: true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 4.1.0.qualifier
Bundle-Activator: org.eclipse.papyrus.uml.diagram.statemachine.part.UMLDiagramEditorPlugin
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.statemachine; singleton:=true
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.diagram.statemachine
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/pom.xml b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/pom.xml
index 0b9c9855332..2795676fd06 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/pom.xml
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/pom.xml
@@ -9,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.diagram.statemachine</artifactId>
- <version>4.0.0-SNAPSHOT</version>
+ <version>4.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/.settings/.api_filters b/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/.settings/.api_filters
new file mode 100644
index 00000000000..8838f054100
--- /dev/null
+++ b/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.m2m.qvto.common" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="2.1.0"/>
+ <message_argument value="2.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/META-INF/MANIFEST.MF b/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/META-INF/MANIFEST.MF
index bbf84d7694a..bd4d777b3ee 100644
--- a/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/META-INF/MANIFEST.MF
+++ b/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.papyrus.uml.m2m.qvto.common;singleton:=true
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 2.1.0.qualifier
Bundle-ClassPath: .
Bundle-Activator: org.eclipse.papyrus.uml.m2m.qvto.common.Activator
Bundle-Vendor: %providerName
@@ -37,6 +37,6 @@ Export-Package: org.eclipse.papyrus.uml.m2m.qvto.common,
org.eclipse.papyrus.uml.m2m.qvto.common.MigrationParameters,
org.eclipse.papyrus.uml.m2m.qvto.common.MigrationParameters.impl,
org.eclipse.papyrus.uml.m2m.qvto.common.MigrationParameters.util
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.m2m.qvto.common
diff --git a/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/pom.xml b/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/pom.xml
index fa5994926ab..a63c3481440 100644
--- a/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/pom.xml
+++ b/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/pom.xml
@@ -10,6 +10,6 @@
</parent>
<artifactId>org.eclipse.papyrus.uml.m2m.qvto.common</artifactId>
<description>Papyrus Model to Model with QvTo transformations common plugin.</description>
- <version>2.0.0-SNAPSHOT</version>
+ <version>2.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/.settings/.api_filters b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/.settings/.api_filters
new file mode 100644
index 00000000000..87430b06957
--- /dev/null
+++ b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.modelexplorer" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="3.1.0"/>
+ <message_argument value="3.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF
index 01d28a754f9..c02df20c71c 100644
--- a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF
@@ -35,12 +35,12 @@ Require-Bundle: org.eclipse.core.expressions;bundle-version="[3.6.0,4.0.0)",
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Version: 3.0.0.qualifier
+Bundle-Version: 3.1.0.qualifier
Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.uml.modelexplorer.Activator
Bundle-SymbolicName: org.eclipse.papyrus.uml.modelexplorer;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.modelexplorer
diff --git a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/pom.xml b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/pom.xml
index 3c2f93bbb80..7c13d2351cf 100644
--- a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/pom.xml
+++ b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/pom.xml
@@ -1,5 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
-<project>
+<project xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.eclipse.papyrus</groupId>
@@ -7,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.modelexplorer</artifactId>
- <version>3.0.0-SNAPSHOT</version>
+ <version>3.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/.settings/.api_filters b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/.settings/.api_filters
new file mode 100644
index 00000000000..67d35a072c0
--- /dev/null
+++ b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.controlmode.profile" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="3.1.0"/>
+ <message_argument value="3.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF
index 2d3835733fc..7d3cab0a353 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF
@@ -13,13 +13,13 @@ Require-Bundle: org.eclipse.emf.databinding;bundle-version="[1.5.0,2.0.0)",
org.eclipse.uml2.uml;bundle-version="[5.5.0,6.0.0)"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
-Bundle-Version: 3.0.0.qualifier
+Bundle-Version: 3.1.0.qualifier
Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.uml.controlmode.profile.Activator
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.uml.controlmode.profile;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.controlmode.profile
diff --git a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/pom.xml b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/pom.xml
index 1907b66d768..72401afff2f 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/pom.xml
+++ b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/pom.xml
@@ -1,5 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
-<project>
+<project xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.eclipse.papyrus</groupId>
@@ -7,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.controlmode.profile</artifactId>
- <version>3.0.0-SNAPSHOT</version>
+ <version>3.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/org.eclipse.papyrus.uml.filters/.settings/.api_filters b/plugins/uml/org.eclipse.papyrus.uml.filters/.settings/.api_filters
new file mode 100644
index 00000000000..d85e359ad29
--- /dev/null
+++ b/plugins/uml/org.eclipse.papyrus.uml.filters/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.filters" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="2.1.0"/>
+ <message_argument value="2.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.filters/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.filters/META-INF/MANIFEST.MF
index 60fc326cd9c..f095d99c554 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.filters/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.filters/META-INF/MANIFEST.MF
@@ -11,7 +11,7 @@ Export-Package: org.eclipse.papyrus.infra.filters.internal;x-internal:=true,
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 2.1.0.qualifier
Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.infra.filters.internal.UMLFiltersPlugin$Implementation
@@ -19,5 +19,5 @@ Bundle-ManifestVersion: 2
Bundle-Description: %pluginDescription
Bundle-SymbolicName: org.eclipse.papyrus.uml.filters;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.filters
diff --git a/plugins/uml/org.eclipse.papyrus.uml.filters/pom.xml b/plugins/uml/org.eclipse.papyrus.uml.filters/pom.xml
index 149a52b02ee..14f9afe482e 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.filters/pom.xml
+++ b/plugins/uml/org.eclipse.papyrus.uml.filters/pom.xml
@@ -9,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.filters</artifactId>
- <version>2.0.0-SNAPSHOT</version>
+ <version>2.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/org.eclipse.papyrus.uml.modelrepair/.settings/.api_filters b/plugins/uml/org.eclipse.papyrus.uml.modelrepair/.settings/.api_filters
new file mode 100644
index 00000000000..a892488b596
--- /dev/null
+++ b/plugins/uml/org.eclipse.papyrus.uml.modelrepair/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.modelrepair" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="3.1.0"/>
+ <message_argument value="3.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.modelrepair/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.modelrepair/META-INF/MANIFEST.MF
index d208afd9359..7016c6c2e28 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.modelrepair/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.modelrepair/META-INF/MANIFEST.MF
@@ -30,15 +30,15 @@ Require-Bundle: org.eclipse.emf.databinding;bundle-version="[1.5.0,2.0.0)",
org.eclipse.uml2.uml.edit;bundle-version="[5.5.0,6.0.0)"
Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
-Bundle-Version: 3.0.0.qualifier
+Bundle-Version: 3.1.0.qualifier
Bundle-Name: Model Repair
Bundle-Activator: org.eclipse.papyrus.uml.modelrepair.Activator
Bundle-ManifestVersion: 2
Bundle-Description: %pluginDescription
Bundle-SymbolicName: org.eclipse.papyrus.uml.modelrepair;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)",
- com.google.common.eventbus;version="[27.1.0, 28.0.0)",
- com.google.common.util.concurrent;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)",
+ com.google.common.eventbus;version="[30.1.0, 31.0.0)",
+ com.google.common.util.concurrent;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.modelrepair
diff --git a/plugins/uml/org.eclipse.papyrus.uml.modelrepair/pom.xml b/plugins/uml/org.eclipse.papyrus.uml.modelrepair/pom.xml
index dcba1534fd0..1dd2733272b 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.modelrepair/pom.xml
+++ b/plugins/uml/org.eclipse.papyrus.uml.modelrepair/pom.xml
@@ -1,5 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
-<project>
+<project xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.eclipse.papyrus</groupId>
@@ -7,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.modelrepair</artifactId>
- <version>3.0.0-SNAPSHOT</version>
+ <version>3.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/org.eclipse.papyrus.uml.profile/.settings/.api_filters b/plugins/uml/org.eclipse.papyrus.uml.profile/.settings/.api_filters
new file mode 100644
index 00000000000..eb1f792119b
--- /dev/null
+++ b/plugins/uml/org.eclipse.papyrus.uml.profile/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.profile" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="4.1.0"/>
+ <message_argument value="4.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF
index 5d5a7932aad..9a3e9588103 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF
@@ -38,13 +38,13 @@ Require-Bundle: org.eclipse.emf.databinding;bundle-version="[1.5.0,2.0.0)",
org.eclipse.uml2.uml.editor;bundle-version="[5.5.0,6.0.0)"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 4.1.0.qualifier
Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-Activator: org.eclipse.papyrus.uml.profile.Activator
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.uml.profile;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.util.concurrent;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.util.concurrent;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.profile
diff --git a/plugins/uml/org.eclipse.papyrus.uml.profile/pom.xml b/plugins/uml/org.eclipse.papyrus.uml.profile/pom.xml
index b0476b53ced..fa19eefb4ec 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.profile/pom.xml
+++ b/plugins/uml/org.eclipse.papyrus.uml.profile/pom.xml
@@ -1,5 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
-<project>
+<project xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.eclipse.papyrus</groupId>
@@ -7,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.profile</artifactId>
- <version>4.0.0-SNAPSHOT</version>
+ <version>4.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/org.eclipse.papyrus.uml.service.types/.settings/.api_filters b/plugins/uml/org.eclipse.papyrus.uml.service.types/.settings/.api_filters
new file mode 100644
index 00000000000..bf72cdb3dcc
--- /dev/null
+++ b/plugins/uml/org.eclipse.papyrus.uml.service.types/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.service.types" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="5.1.0"/>
+ <message_argument value="5.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF
index ff7db1d4397..aae2c2a560c 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF
@@ -29,12 +29,12 @@ Require-Bundle: org.eclipse.emf.databinding;bundle-version="[1.5.0,2.0.0)",
org.eclipse.uml2.uml.profile.standard;bundle-version="[1.5.0,2.0.0)"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
-Bundle-Version: 5.0.0.qualifier
+Bundle-Version: 5.1.0.qualifier
Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.uml.service.types.Activator
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.uml.service.types;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.service.types
diff --git a/plugins/uml/org.eclipse.papyrus.uml.service.types/pom.xml b/plugins/uml/org.eclipse.papyrus.uml.service.types/pom.xml
index 6d321b00bdd..480145c9cb7 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.service.types/pom.xml
+++ b/plugins/uml/org.eclipse.papyrus.uml.service.types/pom.xml
@@ -1,5 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
-<project>
+<project xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.eclipse.papyrus</groupId>
@@ -7,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.service.types</artifactId>
- <version>5.0.0-SNAPSHOT</version>
+ <version>5.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/.settings/.api_filters b/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/.settings/.api_filters
new file mode 100644
index 00000000000..869d997934c
--- /dev/null
+++ b/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.profile.drafter" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="2.1.0"/>
+ <message_argument value="2.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/META-INF/MANIFEST.MF b/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/META-INF/MANIFEST.MF
index 0b50a3e90f8..68bf443bc57 100644
--- a/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/META-INF/MANIFEST.MF
+++ b/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/META-INF/MANIFEST.MF
@@ -26,13 +26,13 @@ Export-Package: org.eclipse.papyrus.uml.profile.drafter,
org.eclipse.papyrus.uml.profile.drafter.utils
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 2.1.0.qualifier
Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.uml.profile.drafter.Activator
Bundle-SymbolicName: org.eclipse.papyrus.uml.profile.drafter;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.profile.drafter
diff --git a/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/pom.xml b/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/pom.xml
index d2a46f38ad1..20b0dd0c2e6 100644
--- a/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/pom.xml
+++ b/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter/pom.xml
@@ -9,6 +9,6 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.profile.drafter</artifactId>
- <version>2.0.0-SNAPSHOT</version>
+ <version>2.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/.settings/.api_filters b/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/.settings/.api_filters
new file mode 100644
index 00000000000..e52f508daea
--- /dev/null
+++ b/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.tools.utils" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="4.1.0"/>
+ <message_argument value="4.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF b/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF
index 3053c182738..e7a6c04b92c 100644
--- a/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF
+++ b/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF
@@ -18,14 +18,14 @@ Require-Bundle: org.eclipse.gmf.runtime.emf.type.core;bundle-version="[1.9.0,2.0
org.eclipse.uml2.uml;bundle-version="[5.5.0,6.0.0)"
Bundle-Vendor: %pluginProvider
Bundle-ActivationPolicy: lazy
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 4.1.0.qualifier
Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.uml.tools.utils.Activator
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.uml.tools.utils;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.base;version="[27.1.0, 28.0.0)",
- com.google.common.collect;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.base;version="[30.1.0, 31.0.0)",
+ com.google.common.collect;version="[30.1.0, 31.0.0)"
Bundle-Description: %Bundle-Description
Automatic-Module-Name: org.eclipse.papyrus.uml.tools.utils
diff --git a/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/pom.xml b/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/pom.xml
index a3e2f5e343d..99552249cd5 100644
--- a/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/pom.xml
+++ b/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/pom.xml
@@ -9,7 +9,7 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.tools.utils</artifactId>
- <version>4.0.0-SNAPSHOT</version>
+ <version>4.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
<description>This plugin contributes a set of common utils tools for UML</description>
</project> \ No newline at end of file
diff --git a/plugins/uml/tools/org.eclipse.papyrus.uml.tools/.settings/.api_filters b/plugins/uml/tools/org.eclipse.papyrus.uml.tools/.settings/.api_filters
new file mode 100644
index 00000000000..cf5c14c2a86
--- /dev/null
+++ b/plugins/uml/tools/org.eclipse.papyrus.uml.tools/.settings/.api_filters
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<component id="org.eclipse.papyrus.uml.tools" version="2">
+ <resource path="META-INF/MANIFEST.MF">
+ <filter id="926941240">
+ <message_arguments>
+ <message_argument value="5.1.0"/>
+ <message_argument value="5.0.0"/>
+ </message_arguments>
+ </filter>
+ </resource>
+</component>
diff --git a/plugins/uml/tools/org.eclipse.papyrus.uml.tools/META-INF/MANIFEST.MF b/plugins/uml/tools/org.eclipse.papyrus.uml.tools/META-INF/MANIFEST.MF
index bcfa5266b58..16a3b45a2a3 100644
--- a/plugins/uml/tools/org.eclipse.papyrus.uml.tools/META-INF/MANIFEST.MF
+++ b/plugins/uml/tools/org.eclipse.papyrus.uml.tools/META-INF/MANIFEST.MF
@@ -46,13 +46,13 @@ Require-Bundle: org.eclipse.core.databinding.property;bundle-version="[1.8.0,2.0
org.eclipse.uml2.uml.validation;bundle-version="[5.5.0,6.0.0)"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
-Bundle-Version: 5.0.0.qualifier
+Bundle-Version: 5.1.0.qualifier
Bundle-Name: %Bundle-Name
Bundle-Activator: org.eclipse.papyrus.uml.tools.Activator
Bundle-ManifestVersion: 2
Bundle-Description: %pluginDescription
Bundle-SymbolicName: org.eclipse.papyrus.uml.tools;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-11
-Import-Package: com.google.common.collect;version="[27.1.0, 28.0.0)",
- com.google.common.util.concurrent;version="[27.1.0, 28.0.0)"
+Import-Package: com.google.common.collect;version="[30.1.0, 31.0.0)",
+ com.google.common.util.concurrent;version="[30.1.0, 31.0.0)"
Automatic-Module-Name: org.eclipse.papyrus.uml.tools
diff --git a/plugins/uml/tools/org.eclipse.papyrus.uml.tools/pom.xml b/plugins/uml/tools/org.eclipse.papyrus.uml.tools/pom.xml
index 3a4f23668b7..7d198ecf21d 100644
--- a/plugins/uml/tools/org.eclipse.papyrus.uml.tools/pom.xml
+++ b/plugins/uml/tools/org.eclipse.papyrus.uml.tools/pom.xml
@@ -9,7 +9,7 @@
<version>0.0.1-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.papyrus.uml.tools</artifactId>
- <version>5.0.0-SNAPSHOT</version>
+ <version>5.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
<description>This plugin contributes a set of common tools for UML</description>
</project> \ No newline at end of file

Back to the top